package com.reyun.saas.mob.user.service;


import com.reyun.saas.common.restResult.PageParam;
import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.mob.user.domain.RtaWhiteList;

import java.util.Map;

public interface RtaWhiteListService {

    /**
     * 创建rta白名单
     */
    public RestResult create(Map<String, Object> map, Long loginUserId);

    /**
     * 修改rta白名单
     */
    public RestResult update(RtaWhiteList source, Long loginUserId);

    /**
     * 修改启用状态
     */
    public RestResult updateActive(Long rtaId, Boolean status, Long loginUserId);

    /**
     * 删除rta白名单
     */
    public RestResult deleteRta(Long rtaId, Long loginUserId);


    /**
     * rta列表
     */
    public RestResult list(PageParam pageParam, Long loginUserId);


}
